module.exports = {
  create: {
    requestBody: [
      "!name",
      "field",
      "budget",
      "enddate",
      "problem",
      "condition",
      "type",
      "!uid",
      "!is_display",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "field",
      "budget",
      "enddate",
      "problem",
      "condition",
      "type",
      "uid",
      "is_display",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        field: "field",
        budget: "budget",
        enddate: "enddate",
        problem: "problem",
        condition: "condition",
        type: "type",
        uid: "uid",
        is_display: "is_display",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
