module.exports = {
  create: {
    requestBody: [
      "!name",
      "!gender",
      "!id_number",
      "phone",
      "email",
      "address",
      "img_url",
      "birthday",
      "level",
      "levelname",
      "position",
      "school",
      "education",
      "degree",
      "major",
      "profession",
      "resume",
      "project",
      "academic",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "gender",
      "id_number",
      "phone",
      "email",
      "address",
      "img_url",
      "birthday",
      "level",
      "levelname",
      "position",
      "school",
      "education",
      "degree",
      "major",
      "profession",
      "resume",
      "project",
      "academic",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        gender: "gender",
        id_number: "id_number",
        phone: "phone",
        email: "email",
        address: "address",
        img_url: "img_url",
        birthday: "birthday",
        level: "level",
        levelname: "levelname",
        position: "position",
        school: "school",
        education: "education",
        degree: "degree",
        major: "major",
        profession: "profession",
        resume: "resume",
        project: "project",
        academic: "academic",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["is_top", "meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
