module.exports = {
  create: {
    requestBody: [
      "!col_name",
      "!title",
      "introduction",
      "content",
      "publish_time",
      "publish_unit",
      "!publisher",
      "type",
      "url",
      "img_url",
      "is_top",
      "view_times",
      "status",
      "file_url",
      "is_del",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "col_name",
      "title",
      "introduction",
      "content",
      "publish_time",
      "publish_unit",
      "publisher",
      "type",
      "url",
      "img_url",
      "is_top",
      "view_times",
      "status",
      "file_url",
      "is_del",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        col_name: "col_name",
        title: "title",
        introduction: "introduction",
        content: "content",
        publish_time: "publish_time",
        publish_unit: "publish_unit",
        publisher: "publisher",
        type: "type",
        url: "url",
        img_url: "img_url",
        is_top: "is_top",
        view_times: "view_times",
        status: "status",
        file_url: "file_url",
        is_del:"is_del",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["is_top", "publish_time", "meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
