module.exports = {
  create: {
    requestBody: [
      "!name",
      "!gender",
      "phone",
      "address",
      "birthday",
      "id_number",
      "dept_id",
      "level_id",
      "sort",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "gender",
      "phone",
      "address",
      "birthday",
      "id_number",
      "dept_id",
      "level_id",
      "sort",
      "type"
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        gender: "gender",
        phone: "phone",
        address: "address",
        birthday: "birthday",
        id_number: "id_number",
        dept_id: "dept_id",
        level_id: "level_id",
        sort: "sort",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
