module.exports = {
  create: {
    requestBody: [
      "pid",
      "user",
      "pr",
      "ni",
      "virt",
      "res",
      "shr",
      "s",
      "cpu",
      "mem",
      "time",
      "command",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "pid",
      "user",
      "pr",
      "ni",
      "virt",
      "res",
      "shr",
      "s",
      "cpu",
      "mem",
      "time",
      "command",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        date: "date",
        pid: "pid",
        user: "user",
        pr: "pr",
        command: "command",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  topCount:{
    parameters: {
      query: {
        date: "date",
      },
    },
    service: "count",
  }
};
