module.exports = {
  create: {
    requestBody: [
      "userid",
      "openid",
      "!passwd",
      "role_id",
      "name",
      "!phone",
      "type",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "userid",
      "openid",
      "passwd",
      "role_id",
      "name",
      "phone",
      "type",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        userid: "userid",
        openid: "openid",
        passwd: "passwd",
        role_id: "role_id",
        name: "name",
        phone: "phone",
        type: "type",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
