'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 信息表
const NewsSchema = {
  col_name: { type: String, required: true }, // 栏目名称
  title: { type: String, required: true }, // 标题
  introduction: { type: String, required: false }, // 简介
  content: { type: String, required: false }, // 内容
  publish_time: { type: String, required: false }, // 发布时间
  publish_unit: { type: String, required: false }, // 发布单位
  publisher: { type: String, required: false }, // 发布人
  type: { type: String, required: false }, // 0-自有，1-外链
  url: { type: String, required: false }, // 链接地址
  img_url: { type: [ String ], required: false }, // 图片路径
  is_top: { type: String, required: false, default: '0' }, // 是否推荐，0-不推荐，1-推荐
  view_times: { type: String, required: false }, // 浏览次数
  status: { type: String, required: false, default: '0' }, // 状态，0-草稿，1-未审核，2-已审核
  file_url: { type: String, required: false }, // 文件路径
  is_del: { type: String, required: false, default: '0' }, // 是否删除，0-未删除，1-已删除
};


const schema = new Schema(NewsSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('News', schema, 'news');
};
