'use strict';

const Subscription = require('egg').Subscription;

class Creeper extends Subscription {
  // 通过 schedule 属性来设置定时任务的执行间隔等配置
  // 更改执行时间
  static get schedule() {
    return {
      cron: '0 0 9 * * ?', // 每天晚上23点执行任务
      // interval: '1m', // 1分钟执行一次
      type: 'worker', // 指定所有的 worker 都需要执行
    };
  }

  // subscribe 是真正定时任务执行时被运行的函数
  async subscribe() {
    console.log('服务器用户监控');
    await this.ctx.service.creeperxts.creeper(); // 服务器用户监控
  }
}
module.exports = Creeper;
