/* eslint valid-jsdoc: "off" */

'use strict';

const { jwt } = require('./config.secret');
const { sep } = require('path');

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1590486343297_6167';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 3001,
    },
  };
  // mq配置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'visit',
    },
    app: true,
    agent: true,
  };

  config.dataDir = `${appInfo.baseDir}${sep}data`;
  // mongoose config
  config.mongoose = {
    url: 'mongodb://localhost:27017/count',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // // JWT config
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'count',
  };

  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '123456',
      db: 2,
    },
  };

  return {
    ...config,
    ...userConfig,
  };
};
